> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherfuse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get specific exchange rate

> Returns the current USD to specified currency exchange rate.
This endpoint is public and does not require authentication.




## OpenAPI

````yaml /openapi.yaml get /lookup/exchange_rate/usd_to_{currency}
openapi: 3.1.0
info:
  title: FX API
  version: 1.0.0
  description: >
    API for managing FX operations including onboarding, quotes, orders, and
    customer management.

    This API provides endpoints for managing customers, bank accounts, crypto
    wallets, orders, and webhooks.
servers:
  - url: https://api.etherfuse.com
    description: Production API
  - url: https://api.sand.etherfuse.com
    description: Sandbox API (for testing)
security: []
tags:
  - name: Lookup
    description: Public endpoints for looking up stablebond and exchange rate data
  - name: Assets
    description: Get available assets for ramping
  - name: Onboarding
    description: Customer onboarding and KYC
  - name: Bank Accounts
    description: Manage customer bank accounts
  - name: Agreements
    description: Handle customer agreements and consents
  - name: Quotes
    description: Get quotes for conversions
  - name: Orders
    description: Create and manage orders
  - name: Swaps
    description: Create and manage swaps
  - name: Customers
    description: Manage customers
  - name: Crypto Wallets
    description: Manage crypto wallets
  - name: Webhooks
    description: Manage webhook subscriptions
  - name: Organizations
    description: Manage organizations and child organizations
paths:
  /lookup/exchange_rate/usd_to_{currency}:
    get:
      tags:
        - Lookup
      summary: Get specific exchange rate
      description: |
        Returns the current USD to specified currency exchange rate.
        This endpoint is public and does not require authentication.
      operationId: getExchangeRateForCurrency
      parameters:
        - name: currency
          in: path
          required: true
          schema:
            type: string
          description: The target currency code (e.g., "mxn", "brl", "eur")
          example: mxn
      responses:
        '200':
          description: Exchange rate retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  rate:
                    type: string
                    description: The USD to currency exchange rate
                  updated_at:
                    type: integer
                    description: Unix timestamp of when this rate was last updated
                  sources:
                    type: object
                    additionalProperties:
                      type: object
                      properties:
                        rate:
                          type: string
                        updated_at:
                          type: integer
                    description: Per-provider exchange rate data
              example:
                rate: '17.15'
                updated_at: 1709510400
                sources:
                  provider_1:
                    rate: '17.15'
                    updated_at: 1709510400
        '404':
          description: Currency not supported
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
      example:
        error: Invalid request parameters

````